package ga;

import ga.chromosomes.Chromosome;

import java.io.Serializable;

@SuppressWarnings("serial")
public class Individual implements Serializable {
    private Chromosome chromosome;
    private double score;

    public Individual(Chromosome c) {
        chromosome = c;
        score = 0.0;
    }

    public void setScore(double s) {
        score = s;
    }

    public double getScore() {
        return score;
    }

    public void setChromosome(Chromosome c) {
        chromosome = c;
    }
    
    public Chromosome getChromosome() {
        return chromosome;
    }
}
