package ga.chromosomes;

import java.io.Serializable;
import java.util.Random;

@SuppressWarnings("serial")
public abstract class Chromosome implements Serializable {
    protected static Random random = new Random();

    public abstract int getLength();

    public abstract Chromosome deepCopy();

    public abstract void partiallyCopyFromOtherChromosome(Chromosome chromosome1, int i, int j);

    public abstract void print();
}
