package ga.problems.helpers;

import static org.junit.Assert.*;

import org.junit.Test;

public class IntegerChecklistTest {

    @Test
    public void testCheckOff() {
        IntegerChecklist checklist = new IntegerChecklist(10);
        assertFalse(checklist.isCheckedOff(1));
        checklist.checkOff(1);
        assertTrue(checklist.isCheckedOff(1));
        assertFalse(checklist.isCheckedOff(2));
        checklist.checkOff(2);
        assertTrue(checklist.isCheckedOff(2));
        assertFalse(checklist.isCheckedOff(3));
        checklist.checkOff(3);
        assertTrue(checklist.isCheckedOff(3));

        // should return values in order - not by requirement, but it makes testing easy
        assertArrayEquals(new int[] {0,4,5,6,7,8,9}, checklist.getValuesNotYetCheckedOff());

        checklist.checkOff(5);
        assertArrayEquals(new int[] {0,4,6,7,8,9}, checklist.getValuesNotYetCheckedOff());
        checklist.checkOff(9);
        assertArrayEquals(new int[] {0,4,6,7,8}, checklist.getValuesNotYetCheckedOff());
    }
}
