package ga.problems.helpers;

public class City {
    private double xCoordinate;
    private double yCoordinate;
    
    public City(double xCoordinate, double yCoordinate) {
        this.xCoordinate = xCoordinate;
        this.yCoordinate = yCoordinate;
    }
    
    public double distanceFrom(City otherCity) {
        // a^2 + b^2 = c^2
        double dx = otherCity.xCoordinate - xCoordinate;
        double dy = otherCity.yCoordinate - yCoordinate;
        return Math.sqrt(dx*dx + dy*dy);
    }
}
