package ga.problems.helpers;

import static org.junit.Assert.*;

import org.junit.Test;

public class RandomIntSequenceTest {

    @Test
    public void testGetNext() {
        RandomIntSequence sequence = new RandomIntSequence(10);
        assertArrayEquals(new int[] {0,1,2,3,4,5,6,7,8,9}, sequence.sequence);
        int j;
        for (int i = 0; i < 10; i++) {
            j = sequence.getNext();
            assertTrue(j < 10 && j >= 0);
            assertEquals(9-i, sequence.numbersRemaining);
        }
        try {
            sequence.getNext();
            fail("Should have caught ArrayIndexOutOfBoundsException");
        }
        catch (ArrayIndexOutOfBoundsException e){
            assertTrue("Properly caught ArrayIndexOutOfBoundsException", true);
        }
    }
}
